package com.tuoheng.admin.service.leg;

import com.tuoheng.admin.entity.Leg;
import com.tuoheng.admin.query.LegQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
public interface ILegService extends IBaseService<Leg> {

    JsonResult queryPage(LegQuery query);

    JsonResult getListInfo(LegQuery query);

    JsonResult getListByDeptId(String deptId);

    JsonResult getListByChannelId(String channelId);

    JsonResult getListByChannelIdAndDeptId(String channelId, String deptId);

    JsonResult editInfo(Leg entity);

    JsonResult getLegInfo(String legId);

    JsonResult getLegList();

}
